# PrototypedSetter Class Reference

Inheritance diagram for PrototypedSetter:
[legend]

List of all members.

## Public Member Functions

| set ($name, $value)
| getGetter ()

## Detailed Description

Definition at line 12 of file PrototypedSetter.class.php.

## Member Function Documentation

PrototypedSetter::getGetter | ( |  | ) |

Reimplemented in DirectoryMutator, DTOSetter, FormMutator, ObjectSetter, and ScopeSetter.

Definition at line 16 of file PrototypedSetter.class.php.

PrototypedSetter::set | ( | $ | name,
|  | $ | value |
| ) |  |  | `[abstract]`

Reimplemented in DirectorySetter, DTOSetter, FormHardenedSetter, FormImporter, FormSetter, ObjectSetter, and ScopeSetter.

The documentation for this class was generated from the following file:

- main/EntityProto/PrototypedSetter.class.php